Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ibeans.spi
Class MuleExpressionParser

    java.lang.Object
      org.ibeans.impl.support.AbstractExpressionParser<MuleRequestMessage,MuleResponseMessage>
          org.mule.module.ibeans.spi.MuleExpressionParser

All Implemented Interfaces:
  org.ibeans.spi.ExpressionParser<MuleRequestMessage,MuleResponseMessage>

    public class MuleExpressionParser

extends org.ibeans.impl.support.AbstractExpressionParser<MuleRequestMessage,MuleResponseMessage>

Implementation exposes the Mule `ExpressionManager` to evaluate expressions in `Call` and `Template` annotations

Constructor Summary
`MuleExpressionParser(MuleContext muleContext)`

Method Summary
`Object` | `evaluate(String expression, MuleRequestMessage request)`
`Object` | `evaluate(String expression, MuleResponseMessage response)`
`Object` | `evaluate(String evaluator, String expression, MuleResponseMessage response)`

Methods inherited from class org.ibeans.impl.support.AbstractExpressionParser
`hasPropertyPlaceholders, hasUriTokens, parsePropertyPlaceholders, parseUriTokens`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleExpressionParser

    public MuleExpressionParser(MuleContext muleContext)

Method Detail

### evaluate

    public Object evaluate(String expression,
                           MuleRequestMessage request)

### evaluate

    public Object evaluate(String expression,
                           MuleResponseMessage response)

### evaluate

    public Object evaluate(String evaluator,
                           String expression,
                           MuleResponseMessage response)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.